> For the complete documentation index, see [llms.txt](https://pangeaswap.gitbook.io/pangeaswap/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://pangeaswap.gitbook.io/pangeaswap/developers/concept-overview/fees.md).

# Fees

### 유동성 공급자의 수익

유동성 공급자가 Pangea 의 풀에서 수취할 수 있는 수익은 크게 3가지로 구성되어 있습니다.

$$
LP\_Fee = swap\_fee + flash\_fee + airdrop\_reward(rewards)
$$

유동성 공급자들은 유동성 포지션의 크기 및 가격 구간에 따라 위 수익들을 수취합니다.

### 수익의 구성

1\. `swap Fee` : 거래가 발생하였을 때 거래액에서 수취하는 수수료. output 토큰에서 수수료를 수취합니다.

$$
swap\_fee = swap\_output \* \frac{pool\_fee\_rate}{1,000,000}
$$

c.f) 전체 `swap Fee`의 10%는 프로토콜로 귀속됩니다.

2\. `flash Fee` : 1 Transaction 내에 자산을 빌려서 거래 후 반납 시 수취하는 수수료

$$
flash\_fee = borrowed\_amount \* \frac{flash\_fee}{1,000,000}
$$

c.f) `flash Fee`는 풀별로 pool fee rate 와 같은 요율이 적용됩니다.

c.f) 전체 `flash Fee`의 10%는 프로토콜로 귀속됩니다.

3\. `airdrop Reward` : 해당 풀에 유동성 공급자를 위해 추가된 리워드 보상. 수수료 수취시 함께 제공.

$$
airdrop\_{per}\_{second} = \frac{airdrop\_amount}{86,400}
$$

c.f) 시간에 비례하여 분배되며, 해당 시간에 풀 가격을 포함하는 가격대에 유동성을 공급한 유저들에게 분배됩니다. 리워드 보상은 매주 목요일 09:00(KST, UTC+9)에 분배가 시작되며, 1주일간 선형분배됩니다.

c.f) `airdrop rewards` 에서는 프로토콜 fee 를 수취하지 않습니다.

### Estimated APR의 계산 방법

유동성 공급시의 Estimated APR은 아래의 식을 이용하여 Full Range 포지션의 Estimated APR (APR\_full range)을 구한 뒤, Fee Boost 를 곱하여 계산합니다.

$$
unitReward\_0 = (swapFeeGrowthGlobal0\_{now} - swapFeeGrowthGlobal0\_{now-1D}) \cdot price\_{0} \ unitReward\_1 = (swapFeeGrowthGlobal1\_{now} - swapFeeGrowthGlobal1\_{now-1D}) \cdot price\_{1} \unitAirdropReward\_0
\= airdrop\_{per}\_{second}\_0 \cdot86,400 \cdot price\_0 \unitAirdropReward\_1
\= airdrop\_{per}\_{second}\_0 \cdot 86,400 \cdot price\_1
$$

$$
APR\_{full\_range} =(unitReward\_0 + unitReward\_1 \ +unitAirdropReward\_0+unitAirdropReward\_1) \cdot liquidity\_{1 dollar} \cdot 365D
$$

$$
Estimated\_APR = APR\_{fullrange} \cdot Fee Boost
$$


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://pangeaswap.gitbook.io/pangeaswap/developers/concept-overview/fees.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
